AM261x MCU+ SDK: ICSS_EMAC_FwStaticMmap Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
ICSS_EMAC_FwStaticMmap Struct Reference
APIs for Networking modules » APIs for ICSS-EMAC

## Detailed Description

ICSS EMAC Static Firmware Memory Map offsets. These are offsets for PRU0 and PRU1 DRAM memory.

## Data Fields
uint32_t | versionOffset
uint32_t | version2Offset
uint32_t | featureOffset
uint32_t | futureFeatureOffset
uint32_t | statisticsOffset
uint32_t | statisticsSize
uint32_t | stormPreventionOffsetBC
uint32_t | phySpeedOffset
uint32_t | portStatusOffset
uint32_t | portControlAddr
uint32_t | portMacAddr
uint32_t | rxInterruptStatusOffset
uint32_t | stormPreventionOffsetMC
uint32_t | stormPreventionOffsetUC
uint32_t | p0QueueDescOffset
uint32_t | p0ColQueueDescOffset
uint32_t | emacTtsConfigBaseOffset
uint32_t | interfaceMacAddrOffset
uint32_t | colStatusAddr
uint32_t | promiscuousModeOffset
uint32_t | specialUnicastMACAddrOffset
uint32_t | specialUnicastMACAddressFeatureEnableOffset
uint32_t | portForwardStatusOffset

## Field Documentation

## ◆ versionOffset

uint32_t ICSS_EMAC_FwStaticMmap::versionOffset

Version offset for release 1

## ◆ version2Offset

uint32_t ICSS_EMAC_FwStaticMmap::version2Offset

Version offset for release 2

## ◆ featureOffset

uint32_t ICSS_EMAC_FwStaticMmap::featureOffset

Feature offset

## ◆ futureFeatureOffset

uint32_t ICSS_EMAC_FwStaticMmap::futureFeatureOffset

Offset reserved for enhance features, future use

## ◆ statisticsOffset

uint32_t ICSS_EMAC_FwStaticMmap::statisticsOffset

Statistics offset

## ◆ statisticsSize

uint32_t ICSS_EMAC_FwStaticMmap::statisticsSize

Statistics block size

## ◆ stormPreventionOffsetBC

uint32_t ICSS_EMAC_FwStaticMmap::stormPreventionOffsetBC

Storm prevention offset

## ◆ phySpeedOffset

uint32_t ICSS_EMAC_FwStaticMmap::phySpeedOffset

Phy Speed Offset

## ◆ portStatusOffset

uint32_t ICSS_EMAC_FwStaticMmap::portStatusOffset

Port Status Offset

## ◆ portControlAddr

uint32_t ICSS_EMAC_FwStaticMmap::portControlAddr

Port Control Addr offset

## ◆ portMacAddr

uint32_t ICSS_EMAC_FwStaticMmap::portMacAddr

Port Mac Addr offset

## ◆ rxInterruptStatusOffset

uint32_t ICSS_EMAC_FwStaticMmap::rxInterruptStatusOffset

RX Interrupt Status Offset

## ◆ stormPreventionOffsetMC

uint32_t ICSS_EMAC_FwStaticMmap::stormPreventionOffsetMC

Storm prevention offset (multicast)

## ◆ stormPreventionOffsetUC

uint32_t ICSS_EMAC_FwStaticMmap::stormPreventionOffsetUC

Storm prevention offset (unicast)

## ◆ p0QueueDescOffset

uint32_t ICSS_EMAC_FwStaticMmap::p0QueueDescOffset

Port 0 QueueDescOffset

## ◆ p0ColQueueDescOffset

uint32_t ICSS_EMAC_FwStaticMmap::p0ColQueueDescOffset

Port 0 Collision QueueDescOffset

## ◆ emacTtsConfigBaseOffset

uint32_t ICSS_EMAC_FwStaticMmap::emacTtsConfigBaseOffset

TTS Config Base Offset

## ◆ interfaceMacAddrOffset

uint32_t ICSS_EMAC_FwStaticMmap::interfaceMacAddrOffset

Interface Mac AddressrOffset

## ◆ colStatusAddr

uint32_t ICSS_EMAC_FwStaticMmap::colStatusAddr

Collision status address offset

## ◆ promiscuousModeOffset

uint32_t ICSS_EMAC_FwStaticMmap::promiscuousModeOffset

promiscuous mode feature control offset

## ◆ specialUnicastMACAddrOffset

uint32_t ICSS_EMAC_FwStaticMmap::specialUnicastMACAddrOffset

Special Unicast MAC address offset

## ◆ specialUnicastMACAddressFeatureEnableOffset

uint32_t ICSS_EMAC_FwStaticMmap::specialUnicastMACAddressFeatureEnableOffset

Special Unicast MAC address feature enable/disable offset

## ◆ portForwardStatusOffset

uint32_t ICSS_EMAC_FwStaticMmap::portForwardStatusOffset

Port Forwarding status offset